Name:           monotype-arial-fonts
Version:        7.00
Release:        1.4
Group:          System/X11/Fonts
Summary:        Monotype Arial font family
Source:		arial.tar.xz
License:        Monotype

BuildArch:      noarch
BuildRequires:  fontpackages-devel
BuildRequires:	xz
%reconfigure_fonts_prereq

%description

%package black1
Summary:        Monotype Arial Black v1
Version:        1.00
Conflicts:      %name-black5

%description black1
Qt5 is so stupid that it gives Arial Black (version 5) the same
priority as Arial (Regular), making all Qt UIs look terrible when
they try to determine a font file for the SANS_SERIF alias.
The problem does not occur with Arial Black version 1.

%package black5
Summary:        Monotype Arial Black v5
Version:        5.83
Conflicts:      %name-black1

%description black5
Qt5 is so stupid that it gives Arial Black (version 5) the same
priority as Arial (Regular), making all Qt UIs look terrible when
they try to determine a font file for the SANS_SERIF alias.
The problem does not occur with Arial Black version 1.

%prep

%build

%install
c="%buildroot/%_ttfontsdir"
mkdir -p "$c"
tar --use=xz -C "$c" -xf "%{S:0}"

%reconfigure_fonts_scriptlets

%files
%_ttfontsdir/
%exclude %_ttfontsdir/arbli___.ttf
%exclude %_ttfontsdir/ariblk.ttf

%files black1
%dir %_ttfontsdir
%_ttfontsdir/arbli___.ttf

%files black5
%dir %_ttfontsdir
%_ttfontsdir/ariblk.ttf

%changelog
